using System.Text.Json;
using System.Text.Json.Serialization;

namespace Gatus.To.MonA.Models;

public record MonAConfiguration(int Expected,
                                int Minutes,
                                string Resource,
                                string Site,
                                string StateName,
                                string Suffix) {

    public override string ToString() {
        string result = JsonSerializer.Serialize(this, MonAConfigurationSourceGenerationContext.Default.MonAConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MonAConfiguration))]
internal partial class MonAConfigurationSourceGenerationContext : JsonSerializerContext {
}